map $http_wtae_checkout_123 $mock_header_check {
    default "http://app-service";
    "~*"    "http://mock-service";
}

proxy_set_header Host $host;
proxy_set_header X-Real-IP $remote_addr;
proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
proxy_set_header X-Forwarded-Host $server_name;

upstream app-service {
  server app:8080;
}

upstream mock-service {
  server mock:8080;
}

server {
    listen 8080;
    listen [::]:8080;
    server_name _;

    location / {
        proxy_pass $mock_header_check;
        proxy_redirect off;
    }
}
